felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Felix Meschberger (JIRA)" <j...@apache.org>
Subject [jira] Updated: (FELIX-1160) WebConsole Manifest.MF should specify required version for Servlet API (2.4)
Date Fri, 15 May 2009 11:46:45 GMT

     [ https://issues.apache.org/jira/browse/FELIX-1160?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Felix Meschberger updated FELIX-1160:
-------------------------------------

    Affects Version/s: webconsole-1.2.10

also affects new version 1.2.10

> WebConsole Manifest.MF should specify required version for Servlet API (2.4)
> ----------------------------------------------------------------------------
>
>                 Key: FELIX-1160
>                 URL: https://issues.apache.org/jira/browse/FELIX-1160
>             Project: Felix
>          Issue Type: Bug
>          Components: Web Console
>    Affects Versions: webconsole-1.2.8, webconsole-1.2.10
>         Environment: Tomcat 4.1.x (Servlet API 2.3)
>            Reporter: Thilo Planz
>            Assignee: Felix Meschberger
>            Priority: Minor
>             Fix For: webconsole-1.2.12
>
>
> WebConsole does not work with Servlet API prior to 2.4.
> This should either be fixed (so that it works with 2.3) or specified in the Import-Package
header in Manifest.MF (so that package resolution fails).
> At the moment I get an ugly runtime exception: 
> java.lang.NoSuchMethodError: javax.servlet.http.HttpServletResponse.setCharacterEncoding(Ljava/lang/String;)V
> 	at org.apache.felix.webconsole.AbstractWebConsolePlugin.startResponse(AbstractWebConsolePlugin.java:157)
> 	at org.apache.felix.webconsole.AbstractWebConsolePlugin.doGet(AbstractWebConsolePlugin.java:111)
> 	at org.apache.felix.webconsole.internal.core.BundlesServlet.doGet(BundlesServlet.java:117)
> 	at javax.servlet.http.HttpServlet.service(HttpServlet.java:697)
> 	at javax.servlet.http.HttpServlet.service(HttpServlet.java:810)
> 	at org.apache.felix.webconsole.internal.servlet.OsgiManager.service(OsgiManager.java:311)
> 	at org.eclipse.equinox.http.servlet.internal.ServletRegistration.handleRequest(ServletRegistration.java:90)
> 	at org.eclipse.equinox.http.servlet.internal.ProxyServlet.processAlias(ProxyServlet.java:111)
> 	at org.eclipse.equinox.http.servlet.internal.ProxyServlet.service(ProxyServlet.java:67)
> 	at javax.servlet.http.HttpServlet.service(HttpServlet.java:810)

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message